{% load static i18n %} {% get_current_language as LANG %}

<!DOCTYPE html>
<html lang="{{LANG}}" class="scroll-smooth">
  {% include "layouts/head.html" %}

  <body
    class="max-w-full overflow-x-hidden scroll-smooth text-main-darken bg-gradient-to-br from-white to-main-white"
    itemtype="https://schema.org/WebPage"
    itemscope="itemscope"
  >
    <main class="bg-[url({% static "media/images/islamic_pattern_black_3.png" %})] bg-[length:10rem_auto]">
      {% block content %}{% endblock content %}
    </main>

    {% comment %} DATA-AOS SCRIPT {% endcomment %}
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/aos/2.3.4/aos.js"
      integrity="sha512-A7AYk1fGKX6S2SsHywmPkrnzTZHrgiVT7GcQkLGDe2ev0aWb8zejytzS8wjo7PGEXKqJOrjQ4oORtnimIRZBtw=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    ></script>
    <script>
      document.addEventListener("DOMContentLoaded", () => {
        AOS.init();

        const langSetter = document.getElementById("langSetter");
        const cookies = document.cookie
          .split(";")
          .map((item) => item.split("="))
          .reduce((acc, [k, v]) => (acc[k.trim().replace('"', "")] = v) && acc, {});

        if (!cookies?.lang) {
          document.cookie = "lang={{LANG}}; path=/;";
          langSetter.value = "{{LANG}}";
        }

        langSetter && langSetter.addEventListener("change", (e) => {
          document.cookie = `lang=${e.target.value}; path=/;`;
    
          location.reload();
        });
      });
    </script>
  </body>
</html>
